#!/bin/bash
#author:Cristiano Siqueira
#descricao:Baixa e instala o OpenVPN local ou comodato.
#Revisao:

localoucomodato(){
	echo " "
	echo "                  A VPN será Comodato ou Local?"
	echo "                   ╔═════════════════════════╗"
	echo "                   ║       (1) Comodato      ║"
	echo "                   ║       (2) Local         ║"
	echo "                   ╚═════════════════════════╝"
	read -p "                R: " installtype
}

secomodato(){
	read -p "Digite o usuário da VPN do Comodato: " nome
	read -p "Digite a senha da VPN do Comodato: " senha
	if [ -e /etc/openvpn/client/ ];then
		echo $nome > /etc/openvpn/client/sigerp-cloud.passwd
		echo $senha >> /etc/openvpn/client/sigerp-cloud.passwd
		echo "Dados salvos no arquivo sig.passwd"
		cat /etc/openvpn/client/sigerp-cloud.passwd
		sleep 3
	else
		echo $nome > /etc/openvpn/sigerp-cloud.passwd
		echo $senha >> /etc/openvpn/sigerp-cloud.passwd
		echo "Dados salvos no arquivo sig.passwd"
		cat /etc/openvpn/sigerp-cloud.passwd
		sleep 3
	fi
	echo "Baixando arquivo OpenVPN para instalação local: "
	wget -cO - https://s.cpuhouse.cloud/ovpn-install | bash -s sigerp
	systemctl enable openvpn
	systemctl enable openvpn-client@sigerp-cloud
	systemctl start openvpn-client@sigerp-cloud
	rebootar
}

selocal(){
	read -p "Digite o usuário da VPN Local: " nome
	read -p "Digite a senha da VPN Local: " senha
	if [ -e /etc/openvpn/client/ ];then
		echo $nome > /etc/openvpn/client/sig-cloud.passwd
		echo $senha >> /etc/openvpn/client/sig-cloud.passwd
		echo "Dados salvos no arquivo sig.passwd"
		cat /etc/openvpn/client/sig-cloud.passwd
		sleep 3
	else
		echo $nome > /etc/openvpn/sig-cloud.passwd
		echo $senha >> /etc/openvpn/sig-cloud.passwd
		echo "Dados salvos no arquivo sig.passwd"
		cat /etc/openvpn/sig-cloud.passwd
		sleep 3
	fi
	echo "Baixando arquivo OpenVPN para instalação na nuvem: "
	wget -cO - https://s.cpuhouse.cloud/ovpn-install | bash -s clientes
	systemctl enable openvpn
	systemctl enable openvpn-client@sig-cloud
	systemctl start openvpn-client@sig-cloud
	rebootar
}

erro(){
    clear
    echo "╔══════════════════════════════════════════════════════════╗"
    echo "║              Você digitou uma opção erra!                ║"
    echo "║  Por favor, reinicie o processo e responda corretamente. ║"
    echo "╚══════════════════════════════════════════════════════════╝"
    exit
}

rebootar(){
	echo "╔═════════════════════════════╗"
	echo "║ Deseja reiniciar a maquina? ║"
	echo "║ (1) - SIM   ||   (2) - NÃO  ║"
	echo "╚═════════════════════════════╝"
	read -p "R: " restart
	if [[ $restart == '1' ]];then
		sudo reboot
	elif [[ $restart == '2' ]];then
		fim
	else
		echo "╔══════════════╗"
		echo "║ Opção errada ║"
		echo "╚══════════════╝"
		echo " "
		rebootar
	fi
}

fim(){
	echo "      ╔═══════╗"
	echo "      ║  FIM  ║"
	echo "      ╚═══════╝"
	exit
}
user=`whoami`

if [[ $user == "root" ]]; then

echo " "
echo " "
echo "                   Deseja instalar o OpenVPN?."
echo "                    ╔══════════════════════╗"
echo "                    ║       (1) Sim        ║"
echo "                    ║       (2) Não        ║"
echo "                    ╚══════════════════════╝"
read -p "                 R: " ovpn
	if [[ $ovpn == 1 ]]; then
	echo "Executando instalação do OpenVPN."
		apt update
		apt -y install openvpn
		localoucomodato
		sleep 2
		    if   [[ $installtype == 1 ]]; then
				secomodato
		    elif [[ $installtype == 2 ]]; then
				selocal
		    else
				erro
		    fi
			fim
	elif [[ $ovpn == 2 ]]; then
		localoucomodato
		sleep 2
		    if   [[ $installtype == 1 ]]; then
				secomodato
		    elif [[ $installtype == 2 ]]; then
				selocal
		    else
				erro
		    fi
	else
		erro
	fi
	fim
else
    clear
    echo " "
    echo " "
    echo "╔══════════════════════════════════════════════════╗"
    echo "║Execute este aplicatvo em usuário Root, por favor.║"
    echo "╚══════════════════════════════════════════════════╝"
    exit
fi
